#! /bin/sh
#
#   Module name 		: checkperm.sh 
#   Date of last delta		: 12/7/0
#   Release number		: 1.3


# Script name : checkperm.sh
# Purpose     : Checks permissions on directory and files.
# Author      : S. Roberts
# Revision    : 1.00
#
# Paramater   : $1 = Permissions mask.


PATH=$PATH:. ; export PATH

# Fix to make Linux "echo" process escape characters
os=`uname -s`
if [ "x${os}" = "xLinux" ]
then
	. linfix.sh
fi


set_attrs()
{
	case "$TERM" in
		vt100 | vt220 | vt320 | xterm | ansi )
					st_bl=`tput bold 2>/dev/null`;
					st_us=`tput smul 2>/dev/null`;
					norm=`tput sgr0 2>/dev/null`;;

		* )			st_bl=;
					st_us=;
					norm=;;
	esac
}


menu()
{
	cls.sh
	echo
	echo "$spc DEFAULT Check Directory [$st_bl`pwd`$norm]   Rev $rev"
	echo "$spc Enter 'q' to QUIT, '^' to GO BACK, 'd' for DEFAULT or New Directory"
	echo
}


pause()
{
	echo
	echo "$spc Press [RETURN] to continue: \c"
	read nothing
}


username()
{
	# Extract username from id
	user=`id|sed s/uid=[0-9]*\(//|sed s/\).*//`
}


permcheck()
{
	if [ -d $chk_path ]
	then
		username
		echo
		echo "$spc Check permissions for user $user"
		echo
		echo
		find $chk_path -exec checkperm1.sh {} $verbose \; 2>/dev/null|more
		echo "$spc Finished."
		echo
		ex_flag1=true;
	else
		echo
		echo "$spc Directory $chk_path not found."
		pause
	fi
}




# main
rev="1.00"
verbose=$1
set_attrs
spc=""
ex_flag1=false
chk_path=""
user=""

while [ $ex_flag1 = false ]
do
	menu
	echo "$spc Select option: $st_bl\c"
	read opt
	echo "$norm\c"
	case $opt in
		q | Q )		exit 1;;
		"^" )		exit 2;;
		d | D )		chk_path=`pwd`;
				permcheck;;
		"" )		;;
		* )		chk_path=$opt;
				permcheck;;
	esac
done
