#! /bin/sh
#
#   Module name 		: runubl.sh 
#   Date of last delta		: 12/7/0
#   Release number		: 1.4


# Script name : runubl.sh
# Purpose     : Run UBL.
# Author      : S. Roberts
# Revision    : 1.00


PATH=$PATH:. ; export PATH

# Fix to make Linux "echo" process escape characters
os=`uname -s`
if [ "x${os}" = "xLinux" ]
then
	. linfix.sh
fi


set_attrs()
{
	case "$TERM" in
		vt100 | vt220 | vt320 | xterm | ansi )
					st_bl=`tput bold 2>/dev/null`;
					st_us=`tput smul 2>/dev/null`;
					norm=`tput sgr0 2>/dev/null`;;

		* )			st_bl=;
					st_us=;
					norm=;;
	esac
}


menu()
{
	cls.sh
	echo
	echo "$spc$st_us RUN UBL $norm  Rev $rev"
	echo
	echo "$spc DEFAULT UBL System Software Directory [$st_bl$ubb_path$norm]"
	echo "$spc Enter 'q' to QUIT, '^' to GO BACK, 'd' for DEFAULT or NEW DIRECTORY"
	echo
}


pause()
{
	echo
	echo "$spc Press [RETURN] to continue: \c"
	read nothing
}


check_shared_memory()
{
	active=`ipcs -m|grep 0x00001b63`
}


call_ubb()
{
	if [ $PROD = U/SQL ]
	then
		cd $ubb_path
		secure -run_usql
		ex_flag1=true
	elif [ -f $ubb_path/ubl ]
	then
		$ubb_path/ubl
		ex_flag1=true
	else
		echo
		echo "$spc $ubb_path/ubl not found"
		ubb_path=$old_path
		pause
	fi
}


# main program
rev="1.00"
quick=$1
set_attrs
if [ -n "`pwd | grep usql`" ]
then
	PROD="U/SQL"
	if [ -z "$ubb_path" ]
	then
		ubb_path=`where.sh runusql f`
		if [ -z "${ubb_path}" ]
		then
		    ubb_path='.'
		else
		    ubb_path=`dirname $ubb_path`
		fi
	fi
else
	PROD="UBL"
	if [ -z "$ubb_path" ]
	then
		ubb_path=`where.sh ubl x`
		if [ -z "${ubb_path}" ]
		then
		    ubb_path='.'
		else
		    ubb_path=`dirname $ubb_path`
		fi
	fi
fi
spc=""
active=""
ex_flag1=false

check_shared_memory
if [ "$active" ]
then
	if [ "x$quick" = "x-q" ]
	then
		call_ubb
	else
		ex_flag1=false
		while [ $ex_flag1 = false ]
		do
			menu
			echo "$spc Select option: $st_bl\c"
			read opt
			echo "$norm\c"
			case $opt in
				q | Q )		exit 1;;
				"^" )		exit 2;;
				d | D )		call_ubb;;
				"" )		;;
				* )		old_path=$ubb_path;
						ubb_path=$opt;
						call_ubb;;
			esac
		done
	fi
else
	echo
	echo "$spc UBL Runtime not installed."
	echo
fi
