#! /bin/sh
#
#   Module name 		: size.sh 
#   Date of last delta		: 12/7/0
#   Release number		: 1.3


# Script name : size.sh
# Purpose     : Prints the size of UBL
# Author      : S. Roberts
# Revision    : 1.00


PATH=$PATH:. ; export PATH

# Fix to make Linux "echo" process escape characters
os=`uname -s`
if [ "x${os}" = "xLinux" ]
then
	. linfix.sh
fi


set_attrs()
{
	case "$TERM" in
		vt100 | vt220 | vt320 | xterm | ansi )
					st_bl=`tput bold 2>/dev/null`;
					st_us=`tput smul 2>/dev/null`;
					norm=`tput sgr0 2>/dev/null`;;

		* )			st_bl=;
					st_us=;
					norm=;;
	esac
}


menu()
{
	cls.sh
	echo
	echo "$spc$st_us $PROD SIZE $norm  Rev $rev"
	echo
	echo "$spc DEFAULT $PROD System Software Directory [$st_bl$ubb_path$norm]"
	echo "$spc Enter 'q' to QUIT, '^' to GO BACK, 'd' for DEFAULT or NEW DIRECTORY"
	echo
}


pause()
{
	echo
	echo "$spc Press [RETURN] to continue: \c"
	read nothing
}


find_size()
{
	# Check if UBL directory exists
	if [ -$f_type $ubb_path/$f_name ]
	then
		if [ -f $ubb_path$sub_dir/ublsize.sh ]
		then
			echo "$st_bl"
			$ubb_path$sub_dir/ublsize.sh $ubb_path$sub_dir/$exe
			ex_flag1=true
		else
			echo
			echo "$spc ublsize.sh not found in directory \c"
			echo "$ubb_path$sub_dir"
			pause
			ubb_path=$old_path
		fi
	else
		echo
		echo "$spc $PROD not found in directory $ubb_path"
		pause
		ubb_path=$old_path
	fi
	echo "$norm"
}


# main
rev="1.00"
if [ -n "`pwd | grep usql`" ]
then
	PROD="U/SQL"
	exe=usqlrun
	f_name=runusql
	f_type=f
	sub_dir=/progs
else
	PROD="UBL"
	exe=ubl
	f_name=ubl
	f_type=x
	sub_dir=
fi
set_attrs
spc=""
if [ -z "$ubb_path" ]
then
	ubb_path=`where.sh $f_name $f_type`	
	if [ -z "${ubb_path}" ]
	then
	    ubb_path='.'
	else
	    ubb_path=`dirname $ubb_path`
	fi
fi
ex_flag1=false
while [ $ex_flag1 = false ]
do
	menu
	echo "$spc Select option: $st_bl\c"
	read opt
	echo "$norm\c"
	case $opt in
		q | Q )		exit 1;;
		"^" )		exit 2;;
		d | D )		old_path=$ubb_path;
				find_size;;
		"" )		;;
		* )		old_path=$ubb_path;
				ubb_path=$opt;
				find_size;;
	esac
done
