#! /bin/sh
#
#   Module name 		: where.sh 
#   Date of last delta		: 12/7/0
#   Release number		: 1.3


# Script name : where.sh
# Purpose     : Finds first occurance of file in directory tree.
#
# Paramaters  : $1 = filename
#               $2 = d for directory, f for file, x for executable


# Fix to make Linux "echo" process escape characters
os=`uname -s`
if [ "x${os}" = "xLinux" ]
then
	. linfix.sh
fi


is_it_in_the_path()
{
	for a
	do
		if [ -d $a ]
		then
			# expand path
			a=`cd $a;pwd`
			if [ $f_type = f -o $f_type = x ]
			then
				if [ -f $a/$f_name ]
				then
					# YeEpEe! Found it.
					echo $a/$f_name
					exit
				fi
			elif [ $f_type = d ]
			then
				if [ -d $a/$f_name ]
				then
					# Yabadabadoo, found it!
					echo $a/$f_name
					exit
				fi
			else
				echo "Error: Incorect file type" >&2
			fi
		fi
	done
}


or_parent_dir()
{
	# Search the parent directory, because of U/SQL directory structure.
	cd ..
	if [ -$f_type ./$f_name ]
	then
		echo `pwd`/$f_name
	fi
}


# Main
f_name=$1
f_type=$2

is_it_in_the_path `echo $PATH | sed "s/\:/ /g"`
or_parent_dir
